// Name	::	Default MiniGame client code
// ================

// Modify Minigame gui
function DefaultMiniGame_AddExtras()
{
	// Change End button size
	CMG_Window.getObject(15).extent = "51 38";

	// Add buttons
	%set = new GuiBitmapButtonCtrl(CMG_SetDefault)
	{
		profile = "BlockButtonProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "175 385";
		extent = "82 38";
		minExtent = "8 2";
		visible = "1";
		command = "Client_ToggleDefaultMiniGame();";
		text = "Set Default";
		groupNum = "-1";
		buttonType = "PushButton";
		bitmap = "base/client/ui/button2";
		lockAspectRatio = "0";
		alignLeft = "0";
		overflowImage = "0";
		mKeepCached = "0";
		mColor = "255 255 255 255";
	};
	%leave = new GuiBitmapButtonCtrl(CMG_Leave)
	{
		profile = "BlockButtonProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "264 385";
		extent = "54 38";
		minExtent = "8 2";
		visible = "1";
		command = "Client_LeaveMiniGame();";
		text = "Leave";
		groupNum = "-1";
		buttonType = "PushButton";
		bitmap = "base/client/ui/button2";
		lockAspectRatio = "0";
		alignLeft = "0";
		overflowImage = "0";
		mKeepCached = "0";
		mColor = "255 255 255 255";
	};
	CMG_Window.add(%set);
	CMG_Window.add(%leave);
	
	CMG_EndBlocker.extent = "209 42";
	CMG_Window.pushToBack(CMG_EndBlocker);
}

$DefaultMiniGame_On = 0;

// Set default minigame
function Client_ToggleDefaultMiniGame()
{
	commandToServer(!$DefaultMiniGame_On ? 'SetDefaultMiniGame' : 'RemoveDefaultMiniGame');
}

// Leaving minigame
function Client_LeaveMiniGame()
{
	commandToServer('LeaveMiniGame');
	Canvas.popDialog(CreateMiniGameGui);
}

// Successfull setting default mingame
function clientCmdOnDefaultMiniGame(%on)
{
	$DefaultMiniGame_On = !$DefaultMiniGame_On;
	CMG_SetDefault.text = %on ? "Rem Default" : "Set Default";
}

DefaultMiniGame_AddExtras();